# $Revision: 1.60 $, $Date: 2002/10/30 12:50:30 $
Summary:	gEdit - small but powerful text editor for X Window
Summary(pl):	gEdit - may ale potny edytor tekstu dla X Window
Name:		gedit
Version:	0.9.7
Release:	2
Epoch:		1
License:	GPL
Group:		X11/Applications/Editors
Source0:	ftp://ftp.gnome.org/pub/gnome/stable/sources/gedit/%{name}-%{version}.tar.bz2
URL:		http://gedit.sourceforge.net/
Patch0:		%{name}-gnome-config.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-style-dsssl
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel > 1.0.55
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	gnome-vfs >= 1.0
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	imlib-devel
BuildRequires:	libglade-gnome-devel >= 0.11
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gedit-devel

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gEdit is a small but powerful text editor for GTK+ and/or GNOME. It
includes such features as split-screen mode, a plugin API, which
allows gEdit to be extended to support many features while remaining
small at its core, multiple document editing and many more functions.

%description -l pl
gEdit jest maym ale potnym edytorem tekstu dla GTK+ i/lub GNOME.
Zawiera takie funkcje jak tryb podzielonego ekranu, API dla "wtyczek",
ktry umoliwia rozszerzenie funkcji gEdita o dodatkowe moliwoci,
nie zwikszajc rozmiarw samego programu, moliwo edycji wielu
dokumentw naraz i wiele innych.

%prep
%setup -q
%patch0 -p1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing acinclude.m4
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make} gtkrcdir=%{_datadir}/misc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysdir=%{_applnkdir}/Editors

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ README README.plugins ChangeLog TODO AUTHORS THANKS
%attr(755,root,root) %{_bindir}/gedit
%dir %{_libdir}/gedit
%dir %{_libdir}/gedit/plugins
%attr(755,root,root) %{_libdir}/gedit/plugins/*.so.*.*
%{_libdir}/gedit/plugins/*.so
%{_pixmapsdir}/*
%{_datadir}/gedit
%{_datadir}/mime-info/*
%{_applnkdir}/Editors/gedit.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gedit.spec,v $
Revision 1.60  2002/10/30 12:50:30  ankry
- desktop moved to toplevel Editors, rel. 2

Revision 1.59  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.58  2002/08/06 13:27:45  qboosh
- BR: libglade-gnome-devel; new %%doc

Revision 1.57  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.56  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.55  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.54  2002/04/25 16:21:48  arturs
fixed a small typo

Revision 1.53  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.52  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.50  2001/12/15 17:55:52  kloczek
- added docbook-style-dsssl to BuildRequires and !sort BuildRequires rules.

Revision 1.49  2001/12/15 17:48:17  kloczek
- updated to 0.9.7 (only bug fixes and updated translations).

Revision 1.48  2001/11/20 23:14:09  saq
- added gnome-config.patch
- libtoolize, buildreq libtool
- add missing %files (%%{_{data,lib}dir}/gedit)
- release 3, STBR

Revision 1.47  2001/04/24 00:34:08  kloczek
- .. and Patch0 :>

Revision 1.46  2001/04/24 00:30:34  kloczek
- added missing %patch0 -p1 in %preps.

Revision 1.45  2001/04/24 00:25:26  kloczek
- release 2,
- rebuild against gnome-print 0.28,
- remove in %preps acinclude.m4 with own copy gettext.m4,
- added use_AM_GNU_GETTEXT patch and regenerate am, ac files.

Revision 1.44  2001/03/19 20:14:30  kloczek
- added gnome-vfs >= 1.0 to BuildRequires rules.

Revision 1.43  2001/03/19 11:08:36  kloczek
- updated to 0.9.6.

Revision 1.42  2001/03/07 18:36:15  kloczek
- updated to 0.9.5.

Revision 1.41  2001/02/14 02:54:25  kloczek
- release 3: go-plugins removed from requires.

Revision 1.40  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.39  2001/02/02 00:21:47  kloczek
- bump release to 2.

Revision 1.38  2000/11/24 09:19:16  kloczek
- updated to 0.9.4.

Revision 1.37  2000/10/30 08:10:27  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.36  2000/10/25 07:12:32  kloczek
- release 2, Epoch 1 (for allow upgrade from RH 7).

Revision 1.35  2000/10/18 21:56:46  kloczek
- updated to 0.9.3
- BuildRequires: gnome-print-devel >= 0.24.

Revision 1.34  2000/09/27 15:58:59  kloczek
- release 2: added using rem new automation.

Revision 1.33  2000/09/25 04:56:09  kloczek
- "BuildRequires: gnome-print-devel >= 0.23"

Revision 1.32  2000/09/25 04:47:40  kloczek
- updated to 0.9.1.

Revision 1.31  2000/07/11 07:10:06  kloczek
- updated to 0.9.0.

Revision 1.30  2000/06/22 23:21:26  kloczek
- release 2.

Revision 1.29  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.28  2000/06/12 06:38:00  kloczek
- updated to 0.7.9.

Revision 1.27  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/30 14:17:49  michuz
- release 2
- %%applnkdir changed

Revision 1.25  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.24  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.23  2000/04/19 12:07:47  kloczek
- updated to 0.7.0,
- added --disable-staic to ./configure parameters and --with-gnome for
  %%find_lang macro,
- updated BuildRequires and %files list.

Revision 1.22  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.20  2000/01/28 11:49:27  kloczek
- release 2,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.19  1999/11/29 04:45:08  kloczek
- updated to 0.6.1,
- added gettext-devel to BuildRequires rules.

Revision 1.18  1999/11/21 19:56:32  pius
- added Obsoletes: gedit-devel

Revision 1.17  1999/11/21 19:47:11  kloczek
- cosmetics.

Revision 1.16  1999/11/21 19:12:08  pius
- updated to 0.6.0
- removed obsoleted patches
- removed gedit-devel subpackage (it was for gmodule-plugins stuff
  which no longer exists)
- added automake on top of %%build
- moved geditrc to %%{_datadir}/misc
- updated docs list
- cosmetics

Revision 1.15  1999/09/20 21:54:32  pius
- added 'gettextize --copy --force' on top of %build
- redefined _libexecdir

Revision 1.14  1999/09/20 16:27:31  pius
- Requires: go -> Requires: go-plugins

Revision 1.13  1999/09/20 15:51:48  pius
- cleaned up spec file
- new/updated patches
- removed Go plugins from package and added Requires: go

Revision 1.12  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
